package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag499;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT499Creator;


public class Tag21Creator extends AbsTagCreate {

     private MT499Creator mt499Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt499Creator= (MT499Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt499Creator.getRelatedReference();
        mt499Creator.set("21", tag21Value);
    }
}

